<?php



class GPTModel extends BaseModel {



	public function __construct() {

		parent::__construct("GPTTransport", [GPT_APIKEY]);

	}



	public function generateDescription($productName) {

 		$result = $this->transport()->chat("Write a description of a product '{$productName}' for a website in Lithuanian.");

		return $result ?? false;

	}





}

